Bug 428773 - yum update file checksum mismatches detected
yum update file checksum mismatches detected
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-14 23:32 EST by Philip Ashmore
Modified: 2014-01-21 18:01 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:47:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2008-01-14 23:32:26 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Fedora 8 from the original KDE live CD.
2. rpm -Va >rpm1.txt # show the checksum mismatches
3. remove and install a package (e.g. ed)
4. rpm -Va >rpm2.txt # show the checksum mismatches
5. diff rpm1.txt rpm2.txt # show that the ed binaries are not listed.

Actual results:
< S.5.....   /bin/ed
< S.5.....   /bin/red

Expected results:
There shouldn't be any difference - there shouldn't be any checksum or size

Additional info:
This was after I ran
    # rpm --rebuilddb
Comment 1 Seth Vidal 2008-03-12 12:34:13 EDT
reassigning to rpm since yum isn't touching the files or modifying the rpmdb
beyond what it asks rpmlib to do.
Comment 2 Panu Matilainen 2008-03-13 04:12:31 EDT
The original binaries have been prelinked at some point, but prelink is missing
so rpm can't do auto-correction. This is the same on any system:

[root@localhost ~]# rpm -V ed
[root@localhost ~]# rpm -e prelink
[root@localhost ~]# rpm -V ed
S.5.....    /bin/ed
S.5.....    /bin/red
[root@localhost ~]#

The newly installed files in your case don't show any differences here because
they're not been prelinked (and wont be, since there's no prelink installed).

Philip, have you manually removed prelink at some point? If not, lets reassign
to livecd-tools...
Comment 3 Jeremy Katz 2008-03-13 10:37:09 EDT
The live images aren't prelinked
Comment 4 Panu Matilainen 2008-03-13 11:35:40 EDT
Oh ok... I did a test installation of the KDE livecd myself. The original
binaries on the livecd aren't prelinked, and immediately after installation rpm
-V shows nothing. 

But prelink is on the installed image so the system will get prelinked
eventually. And if you then remove prelink, you'll get size + md5 mismatch on
rpm verify. 

It's possible there is some other path leading to this, but this is the most
obvious one.
Comment 5 Philip Ashmore 2008-03-13 14:19:53 EDT
Panu - to answer your question - no I never removed prelink.

Whatever the problem was, it seems to be fixed now, see below.

# sh /etc/cron.daily/prelink
# rpm -Va
....L... d /usr/share/javadoc/java
S.5....T c /etc/cups/printers.conf
prelink: /usr/bin/imlib_config: at least one of file's dependencies has changed
since prelinking
S.?.....   /usr/bin/imlib_config
S.5....T c /var/log/mail/statistics
S.5....T   /usr/lib/python2.5/distutils/sysconfig.pyc
S.5....T c /etc/sane.d/dll.conf
S.5....T   /etc/cron.d/smolt
S.5....T c /etc/maven/maven2-depmap.xml
S.5..UGT c /etc/yum.repos.d/livna.repo
..5....T c /usr/lib/security/classpath.security
prelink: /usr/lib/libopenal.so.0.0.0: at least one of file's dependencies has
changed since prelinking
S.?.....   /usr/lib/libopenal.so.0.0.0
.......T c /root/.bash_logout
.......T c /root/.bash_profile
S.5....T c /root/.bashrc
S.5....T c /etc/pcmcia/config.opts
Unsatisfied dependencies for pyclutter-0.4.2-2.fc8.i386: libclutter-glx-0.4.so.0
....L... c /etc/pam.d/system-auth
S.5....T c /etc/security/limits.conf
.......T   /usr/share/icons/crystalsvg/16x16/apps/kandy.png
.......T   /usr/share/icons/crystalsvg/32x32/apps/kandy.png
.......T   /usr/share/icons/crystalsvg/48x48/apps/kandy.png
S.5....T c /etc/printcap
S.5....T c /etc/hibernate/common.conf
S.5....T c /etc/hibernate/suspend2.conf
.......T   /usr/lib/pm-utils/defaults
S.5....T c /etc/xml/catalog
S.5....T c /usr/share/sgml/docbook/xmlcatalog
S.5..UGT   /usr/lib/flash-plugin/libflashplayer.so
.M......   /bin/fusermount
S.5..UGT c /etc/yum.repos.d/fedora-development.repo
S.5..UGT c /etc/yum.repos.d/fedora-updates-testing.repo
S.5..UGT c /etc/yum.repos.d/fedora-updates.repo
S.5..UGT c /etc/yum.repos.d/fedora.repo
.......T   /usr/share/applications/screensavers/system.desktop
S.5....T c /etc/sysconfig/system-config-users
.......T   /var/log/tomcat5/catalina.out
..5....T c /etc/inittab
S.5....T c /etc/rc.d/rc.local
Comment 6 Bug Zapper 2008-11-26 04:26:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-01-09 00:47:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.